Harmony IntegrationHarmony Integration

Search Address

POST /api/data/SearchAddress

๐Ÿ  Look up a Dutch address by postal code and house number to auto-fill customer address fields.

  • ๐Ÿ“ฎ Provide a valid Dutch postalCode (e.g. 1234 AB) and houseNumber
  • โœ… Returns the full street name, city, and province โ€” ready to use in CreateContract
POST
/api/data/SearchAddress

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

zipCode*string
Dutch postal code, e.g. 3066AA
houseNo*string
House number, e.g. 140

Response Body

application/json

application/json

curl -X POST "https://jubilee-ws.test.harmony.nl/api/data/SearchAddress" \  -H "Content-Type: application/json" \  -d '{    "zipCode": "3066AA",    "houseNo": "140"  }'
{
  "addressLine1": "",
  "addressLine2": "140",
  "addressLine3": "",
  "zipCode": "3066AA",
  "city": "",
  "countryCode": ""
}
{}